Bug 100126 - [EFL] Add baselines for non problematic tests in editing subcategories: deleting, inserting, selection and style.
Summary: [EFL] Add baselines for non problematic tests in editing subcategories: delet...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-23 08:05 PDT by Mariusz Grzegorczyk
Modified: 2012-10-25 14:58 PDT (History)
6 users (show)

See Also:


Attachments
patch (deleted)
2012-10-23 08:10 PDT, Mariusz Grzegorczyk
gyuyoung.kim: commit-queue-
Details | Formatted Diff | Diff
Applied GyuYoung's comments (deleted)
2012-10-24 01:19 PDT, Mariusz Grzegorczyk
webkit.review.bot: commit-queue-
Details | Formatted Diff | Diff
patch with --binary option (deleted)
2012-10-25 01:01 PDT, Mariusz Grzegorczyk
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Mariusz Grzegorczyk 2012-10-23 08:05:34 PDT
Add missing expectations in editing subcategories: deleting, inserting, selection and style.
Comment 1 Mariusz Grzegorczyk 2012-10-23 08:10:12 PDT
Created attachment 170169 [details]
patch
Comment 2 Raphael Kubo da Costa (:rakuco) 2012-10-23 10:18:00 PDT
Do you know what's needed for the remaining editing tests in that big list to be unskipped?
Comment 3 Gyuyoung Kim 2012-10-23 21:58:56 PDT
Comment on attachment 170169 [details]
patch

View in context: https://bugs.webkit.org/attachment.cgi?id=170169&action=review

> LayoutTests/ChangeLog:3


I think this patch is close to rebaseline or add new test case. Please add meaningful bug title. And, "Unreviewed" keyword is used in Reviewer name field, not bug title.
Comment 4 Mariusz Grzegorczyk 2012-10-24 01:10:03 PDT
(In reply to comment #2)
> Do you know what's needed for the remaining editing tests in that big list to be unskipped?

My plan was to split gardening into 2 steps: first - big gardening with non problematic tests(current patch), second - describe and supply baselines for other tests(will need more investigation)
Comment 5 Mariusz Grzegorczyk 2012-10-24 01:19:28 PDT
Created attachment 170341 [details]
Applied GyuYoung's comments
Comment 6 WebKit Review Bot 2012-10-25 00:50:38 PDT
Comment on attachment 170341 [details]
Applied GyuYoung's comments

Rejecting attachment 170341 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 1

Last 500 characters of output:
mand(args, input=patch.contents(), cwd=self._scm.checkout_root)
  File "/mnt/git/webkit-commit-queue/Tools/Scripts/webkitpy/common/system/executive.py", line 406, in run_command
    output = process.communicate(string_to_communicate)[0]
  File "/usr/lib/python2.6/subprocess.py", line 701, in communicate
    return self._communicate(input)
  File "/usr/lib/python2.6/subprocess.py", line 1210, in _communicate
    bytes_written = os.write(self.stdin.fileno(), chunk)
OSError: [Errno 32] Broken pipe

Full output: http://queues.webkit.org/results/14554561
Comment 7 Mariusz Grzegorczyk 2012-10-25 01:01:25 PDT
Created attachment 170577 [details]
patch with --binary option
Comment 8 Ryuan Choi 2012-10-25 01:12:19 PDT
Comment on attachment 170577 [details]
patch with --binary option

OK, try once more.
Comment 9 WebKit Review Bot 2012-10-25 02:54:22 PDT
Comment on attachment 170577 [details]
patch with --binary option

Rejecting attachment 170577 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
ternals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
50>At revision 12787.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...
LayoutTests/platform/efl-wk1/TestExpectations:317:  Path does not exist.  [test/expectations] [5]
Total errors found: 1 in 2 files

Full output: http://queues.webkit.org/results/14555549
Comment 10 WebKit Review Bot 2012-10-25 08:57:05 PDT
Comment on attachment 170577 [details]
patch with --binary option

Rejecting attachment 170577 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
WebKit/chromium/v8 --revision 12787 --non-interactive --force --accept theirs-conflict --ignore-externals' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
50>At revision 12787.

________ running '/usr/bin/python tools/clang/scripts/update.py --mac-only' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'

________ running '/usr/bin/python gyp_webkit' in '/mnt/git/webkit-commit-queue/Source/WebKit/chromium'
Updating webkit projects from gyp files...
Total errors found: 0 in 2 files

Full output: http://queues.webkit.org/results/14546658
Comment 11 WebKit Review Bot 2012-10-25 14:19:17 PDT
Comment on attachment 170577 [details]
patch with --binary option

Rejecting attachment 170577 [details] from commit-queue.

Failed to run "['/mnt/git/webkit-commit-queue/Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '-..." exit_code: 2

Last 500 characters of output:
ore/ChangeLog
CONFLICT (content): Merge conflict in Source/WebCore/ChangeLog
Failed to merge in the changes.
Patch failed at 0001 CHROMIUM: Add a method to WebLayerTreeView API

When you have resolved this problem run "git rebase --continue".
If you would prefer to skip this patch, instead run "git rebase --skip".
To restore the original branch and stop rebasing run "git rebase --abort".

rebase refs/remotes/origin/master: command returned error: 1

Died at Tools/Scripts/update-webkit line 154.

Full output: http://queues.webkit.org/results/14569709
Comment 12 WebKit Review Bot 2012-10-25 14:58:14 PDT
Comment on attachment 170577 [details]
patch with --binary option

Clearing flags on attachment: 170577

Committed r132536: <http://trac.webkit.org/changeset/132536>
Comment 13 WebKit Review Bot 2012-10-25 14:58:18 PDT
All reviewed patches have been landed.  Closing bug.